Skip to main content
PUT
/
collections
/
{collection}
/
schema
/
fieldTypes
/
{fieldTypeId}
Update a field type
import requests

url = "https://{FUSION HOST}/api/collections/{collection}/schema/fieldTypes/{fieldTypeId}"

payload = {
    "name": "<string>",
    "analyzer": {
        "tokenizer": { "class": "<string>" },
        "filters": [{ "class": "<string>" }],
        "type": "<string>",
        "class": "<string>"
    },
    "indexAnalyzer": {
        "tokenizer": { "class": "<string>" },
        "filters": [{ "class": "<string>" }],
        "type": "<string>",
        "class": "<string>"
    },
    "queryAnalyzer": {
        "tokenizer": { "class": "<string>" },
        "filters": [{ "class": "<string>" }],
        "type": "<string>",
        "class": "<string>"
    },
    "indexed": True,
    "stored": True,
    "multiValued": True,
    "positionIncrementGap": 123,
    "class": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.put("https://{FUSION HOST}/api/collections/{collection}/schema/fieldTypes/{fieldTypeId}")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"analyzer\": {\n \"tokenizer\": {\n \"class\": \"<string>\"\n },\n \"filters\": [\n {\n \"class\": \"<string>\"\n }\n ],\n \"type\": \"<string>\",\n \"class\": \"<string>\"\n },\n \"indexAnalyzer\": {\n \"tokenizer\": {\n \"class\": \"<string>\"\n },\n \"filters\": [\n {\n \"class\": \"<string>\"\n }\n ],\n \"type\": \"<string>\",\n \"class\": \"<string>\"\n },\n \"queryAnalyzer\": {\n \"tokenizer\": {\n \"class\": \"<string>\"\n },\n \"filters\": [\n {\n \"class\": \"<string>\"\n }\n ],\n \"type\": \"<string>\",\n \"class\": \"<string>\"\n },\n \"indexed\": true,\n \"stored\": true,\n \"multiValued\": true,\n \"positionIncrementGap\": 123,\n \"class\": \"<string>\"\n}")
.asString();
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
analyzer: {
tokenizer: {class: '<string>'},
filters: [{class: '<string>'}],
type: '<string>',
class: '<string>'
},
indexAnalyzer: {
tokenizer: {class: '<string>'},
filters: [{class: '<string>'}],
type: '<string>',
class: '<string>'
},
queryAnalyzer: {
tokenizer: {class: '<string>'},
filters: [{class: '<string>'}],
type: '<string>',
class: '<string>'
},
indexed: true,
stored: true,
multiValued: true,
positionIncrementGap: 123,
class: '<string>'
})
};

fetch('https://{FUSION HOST}/api/collections/{collection}/schema/fieldTypes/{fieldTypeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/collections/{collection}/schema/fieldTypes/{fieldTypeId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"analyzer\": {\n \"tokenizer\": {\n \"class\": \"<string>\"\n },\n \"filters\": [\n {\n \"class\": \"<string>\"\n }\n ],\n \"type\": \"<string>\",\n \"class\": \"<string>\"\n },\n \"indexAnalyzer\": {\n \"tokenizer\": {\n \"class\": \"<string>\"\n },\n \"filters\": [\n {\n \"class\": \"<string>\"\n }\n ],\n \"type\": \"<string>\",\n \"class\": \"<string>\"\n },\n \"queryAnalyzer\": {\n \"tokenizer\": {\n \"class\": \"<string>\"\n },\n \"filters\": [\n {\n \"class\": \"<string>\"\n }\n ],\n \"type\": \"<string>\",\n \"class\": \"<string>\"\n },\n \"indexed\": true,\n \"stored\": true,\n \"multiValued\": true,\n \"positionIncrementGap\": 123,\n \"class\": \"<string>\"\n}"

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/collections/{collection}/schema/fieldTypes/{fieldTypeId}"

payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"analyzer\": {\n \"tokenizer\": {\n \"class\": \"<string>\"\n },\n \"filters\": [\n {\n \"class\": \"<string>\"\n }\n ],\n \"type\": \"<string>\",\n \"class\": \"<string>\"\n },\n \"indexAnalyzer\": {\n \"tokenizer\": {\n \"class\": \"<string>\"\n },\n \"filters\": [\n {\n \"class\": \"<string>\"\n }\n ],\n \"type\": \"<string>\",\n \"class\": \"<string>\"\n },\n \"queryAnalyzer\": {\n \"tokenizer\": {\n \"class\": \"<string>\"\n },\n \"filters\": [\n {\n \"class\": \"<string>\"\n }\n ],\n \"type\": \"<string>\",\n \"class\": \"<string>\"\n },\n \"indexed\": true,\n \"stored\": true,\n \"multiValued\": true,\n \"positionIncrementGap\": 123,\n \"class\": \"<string>\"\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/collections/{collection}/schema/fieldTypes/{fieldTypeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'analyzer' => [
'tokenizer' => [
'class' => '<string>'
],
'filters' => [
[
'class' => '<string>'
]
],
'type' => '<string>',
'class' => '<string>'
],
'indexAnalyzer' => [
'tokenizer' => [
'class' => '<string>'
],
'filters' => [
[
'class' => '<string>'
]
],
'type' => '<string>',
'class' => '<string>'
],
'queryAnalyzer' => [
'tokenizer' => [
'class' => '<string>'
],
'filters' => [
[
'class' => '<string>'
]
],
'type' => '<string>',
'class' => '<string>'
],
'indexed' => true,
'stored' => true,
'multiValued' => true,
'positionIncrementGap' => 123,
'class' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request PUT \
--url https://{FUSION HOST}/api/collections/{collection}/schema/fieldTypes/{fieldTypeId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"analyzer": {
"tokenizer": {
"class": "<string>"
},
"filters": [
{
"class": "<string>"
}
],
"type": "<string>",
"class": "<string>"
},
"indexAnalyzer": {
"tokenizer": {
"class": "<string>"
},
"filters": [
{
"class": "<string>"
}
],
"type": "<string>",
"class": "<string>"
},
"queryAnalyzer": {
"tokenizer": {
"class": "<string>"
},
"filters": [
{
"class": "<string>"
}
],
"type": "<string>",
"class": "<string>"
},
"indexed": true,
"stored": true,
"multiValued": true,
"positionIncrementGap": 123,
"class": "<string>"
}
'
This response has no body data.

Path Parameters

collection
string
required

Collection ID.

fieldTypeId
string
required

Field type ID.

Body

application/json

Field type configuration.

name
string
analyzer
object
indexAnalyzer
object
queryAnalyzer
object
indexed
boolean
stored
boolean
multiValued
boolean
positionIncrementGap
integer<int32>
class
string

Response

200 - undefined